Package org.lwjgl.opencl

# Class KHRICD

java.lang.Object
org.lwjgl.opencl.KHRICD

public final class KHRICD extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CL_PLATFORM_ICD_SUFFIX_KHR`
Accepted as <param_name> to the function clGetPlatformInfo
`static final int`
`CL_PLATFORM_NOT_FOUND_KHR`
Returned by clGetPlatformIDs when no platforms are found

## Method Summary

Modifier and Type
Method
Description
`static int`
`clIcdGetPlatformIDsKHR(PointerBuffer platforms, IntBuffer num_platforms)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CL_PLATFORM_ICD_SUFFIX_KHR

public static final int CL_PLATFORM_ICD_SUFFIX_KHR
Accepted as <param_name> to the function clGetPlatformInfo

See Also:
  - Constant Field Values

### CL_PLATFORM_NOT_FOUND_KHR

public static final int CL_PLATFORM_NOT_FOUND_KHR
Returned by clGetPlatformIDs when no platforms are found

See Also:
  - Constant Field Values

## Method Details

### clIcdGetPlatformIDsKHR

public static int clIcdGetPlatformIDsKHR(PointerBuffer platforms, IntBuffer num_platforms)